# Roundtrip Parameter Reference

$Id: param.xweb 7042 2007-07-17 04:28:48Z xmldoc $
Ball
Steve
2007
2006
2005
2004
Steve Ball

This is reference documentation for all user-configurable parameters in the DocBook “Roundtrip” Stylesheets (for transforming DocBook to WordML, OpenDocument, and Apple Pages, and for converting from those formats back to DocBook).

## Parameters

wordml.template
uri

## wordml.template

Specify the template WordML document

    <xsl:param name="wordml.template"></xsl:param>

### Description

The `wordml.template` parameter specifies a WordML document to use as a template for the generated document. The template document is used to define the (extensive) headers for the generated document, in particular the paragraph and character styles that are used to format the various elements. Any content in the template document is ignored.

A template document is used in order to allow maintenance of the paragraph and character styles to be done using Word itself, rather than these XSL stylesheets.

pages.template
uri

## pages.template

Specify the template Pages document

    <xsl:param name="pages.template"></xsl:param>

### Description

The `pages.template` parameter specifies a Pages (the Apple word processing application) document to use as a template for the generated document. The template document is used to define the (extensive) headers for the generated document, in particular the paragraph and character styles that are used to format the various elements. Any content in the template document is ignored.

A template document is used in order to allow maintenance of the paragraph and character styles to be done using Pages itself, rather than these XSL stylesheets.

## The Stylesheet

The `param.xsl` stylesheet is just a wrapper around all of these parameters.

    <xsl:stylesheet exclude-result-prefixes="src" version="1.0">

    <!-- This file is generated from param.xweb -->

    <!-- ********************************************************************
         $Id: param.xweb 7042 2007-07-17 04:28:48Z xmldoc $
         ********************************************************************

         This file is part of the XSL DocBook Stylesheet distribution.
         See ../README or http://docbook.sf.net/release/xsl/current/ for
         copyright and other information.

         ******************************************************************** -->

    <src:fragref linkend="wordml.template.frag"></src:fragref>
    <src:fragref linkend="pages.template.frag"></src:fragref>
    </xsl:stylesheet>